View Issue Details

IDProjectCategoryView StatusLast Update
0001600NoesisGUIC++ SDKpublic2019-12-20 17:40
ReportersfernandezAssigned Tosfernandez 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.5 
Target Version2.2.6Fixed in Version2.2.6 
Summary0001600: Layout freeze
DescriptionThe following xaml freezes NoesisGUI during layout loop because of continuous changes to the over element:

<Grid
  xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
  xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
  xmlns:i="http://schemas.microsoft.com/expression/2010/interactivity"
  xmlns:ei="http://schemas.microsoft.com/expression/2010/interactions">
    <Button Background="Red" BorderThickness="0" HorizontalAlignment="Center" VerticalAlignment="Center" Padding="0">
        <Border>
          <TextBlock x:Name="ShortcutName" Background="Black" Text="Ctrl+Z" Visibility="Visible" />
        </Border>
        <i:Interaction.Triggers>
          <i:EventTrigger EventName="MouseEnter">
            <ei:ChangePropertyAction PropertyName="Visibility" TargetName="ShortcutName" Value="Collapsed" />
          </i:EventTrigger>
          <i:EventTrigger EventName="MouseLeave">
            <ei:ChangePropertyAction PropertyName="Visibility" TargetName="ShortcutName" Value="Visible" />
          </i:EventTrigger>
        </i:Interaction.Triggers>
    </Button>
</Grid>
TagsNo tags attached.
PlatformAny

Relationships

related to 0001599 resolvedsfernandez Unity Hard Loop/Lock on Visual Tree Update 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-12-12 20:37 sfernandez New Issue
2019-12-16 12:47 sfernandez Relationship added related to 0001599
2019-12-16 12:47 sfernandez Assigned To => sfernandez
2019-12-16 12:47 sfernandez Status new => assigned
2019-12-16 12:47 sfernandez Target Version => 2.2.6
2019-12-20 17:40 sfernandez Status assigned => resolved
2019-12-20 17:40 sfernandez Resolution open => fixed
2019-12-20 17:40 sfernandez Fixed in Version => 2.2.6